import 'package:english_learning/core/utils/styles/theme.dart';
import 'package:english_learning/core/widgets/global_button.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

class FeedbackDialog extends StatelessWidget {
  final VoidCallback onSubmit;

  const FeedbackDialog({
    super.key,
    required this.onSubmit,
  });

  @override
  Widget build(BuildContext context) {
    return PopScope(
      canPop: false,
      child: Dialog(
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(20),
        ),
        child: Container(
          decoration: BoxDecoration(
            color: Colors.white,
            borderRadius: BorderRadius.circular(20),
          ),
          child: Padding(
            padding: const EdgeInsets.all(24.0),
            child: Column(
              mainAxisSize: MainAxisSize.min,
              children: [
                Text(
                  'Your Thoughts Matter!',
                  style: AppTextStyles.blackTextStyle.copyWith(
                    fontSize: 18,
                    fontWeight: FontWeight.w900,
                  ),
                ),
                const SizedBox(height: 20),
                SvgPicture.asset(
                  'lib/features/learning/modules/feedback/assets/images/feedback_illustration.svg',
                  width: 200,
                ),
                const SizedBox(height: 20),
                Text(
                  'Thank you for taking the time to share your perspective. Your feedback is highly valued!',
                  textAlign: TextAlign.center,
                  style: AppTextStyles.disableTextStyle.copyWith(
                    fontSize: 12,
                    fontWeight: FontWeight.w500,
                  ),
                ),
                const SizedBox(height: 30),
                GlobalButton(
                  text: 'Got It',
                  onPressed: onSubmit,
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
